%define		ver	%(echo %{version} | tr . _)
%define		plugin	swfobject
Summary:	JavaScript Flash Player detection and embed script
Summary(pl.UTF-8):	Skrypt w JavaScripcie do wykrywania i osadzania Flash Playera
Name:		js-%{plugin}
Version:	2.2
Release:	4
License:	MIT
Group:		Applications/WWW
Source0:	http://swfobject.googlecode.com/files/swfobject_%{ver}.zip
# Source0-md5:	dec4b83b3e73f3f0011a075cd5385b9c
Source1:	apache.conf
Source2:	lighttpd.conf
URL:		http://code.google.com/p/swfobject/
BuildRequires:	closure-compiler
BuildRequires:	js
BuildRequires:	unzip
Requires:	webapps
Requires:	webserver(alias)
Provides:	swfobject = %{version}-%{release}
Obsoletes:	swfobject
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{plugin}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
SWFObject is a small JavaScript file used for embedding Adobe Flash
content. The script can detect the Flash plug-in in all major web
browsers (on Mac and PC) and is designed to make embedding Flash
movies as easy as possible. It is also very search engine friendly,
degrades gracefully, can be used in valid HTML and XHTML 1.0
documents, and is forward compatible, so it should work for years to
come.

%description -l pl.UTF-8
SWFObject to mały plik w JavaScripcie służący do osadzania treści
Adobe Flash. Skrypt potrafi wykryć wtyczkę Flash we wszystkich
popularnych przeglądarkach (na Macu i PC) i jest zaprojektowany do jak
najłatwiejszego osadzania filmów we Flashu. Jest także przyjazny dla
silników wyszukiwarek, dobrze się degraduje, może być używany w
poprawnych dokumentach HTML oraz XHTML 1.0 i jest zgodny w przód, więc
powinien działać jeszcze przez wiele lat.

%prep
%setup -qc
mv %{_webapp}/* .

%build
install -d build

# compress .js
for js in src/*.js; do
	out=build/${js#*/}
%if 0%{!?debug:1}
	closure-compiler --js $js --charset UTF-8 --js_output_file $out
	js -C -f $out
%else
	cp -p $js $out
%endif
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}

cp -p build/%{plugin}.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}-%{version}.min.js
cp -p src/%{plugin}.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}-%{version}.js
ln -s %{plugin}-%{version}.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}.src.js
ln -s %{plugin}-%{version}.min.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}.js

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
cp -p $RPM_BUILD_ROOT%{_sysconfdir}/{apache,httpd}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%{_appdir}
%changelog
* Tue Aug 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/js-swfobject.git;a=log;h=master

* Tue Aug 27 2013 Elan Ruusamäe <glen@delfi.ee> 527727a
- unified apache config

* Tue Aug 27 2013 Elan Ruusamäe <glen@delfi.ee> e9f029e
- Revert "- migrated to apache 2.4"

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> f1b1bab
- migrated to apache 2.4

* Thu Nov 29 2012 Elan Ruusamäe <glen@delfi.ee> e0ddecb
- macro

* Thu Nov 29 2012 Elan Ruusamäe <glen@delfi.ee> 1b68410
- really compile with closure-compiler

* Thu Nov 29 2012 Elan Ruusamäe <glen@delfi.ee> e10a39b
- repack with closure-compiler

* Thu Nov 29 2012 Elan Ruusamäe <glen@delfi.ee> 834de8a
- expose whole project dir. rel 2

* Thu Nov 29 2012 Elan Ruusamäe <glen@delfi.ee> e2425b4
- package source and minified version; allow possible co-install of other versions

* Thu Nov 29 2012 Elan Ruusamäe <glen@delfi.ee> 2b88ade
- move webserver configs to separate files

* Sun Sep 05 2010 Elan Ruusamäe <glen@pld-linux.org> 6d3a9c1
- 2.2

* Mon Jan 25 2010 sparky <sparky@pld-linux.org> ceed241
- BR: unzip

* Mon Jan 25 2010 Elan Ruusamäe <glen@pld-linux.org> 94b9fb2
- webserver integration; rel 2

* Mon Jan 25 2010 Elan Ruusamäe <glen@pld-linux.org> 42fa1e8
- update to 2.1; rename to js-swfobject; new homepage

* Sun Sep 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 5b8b2d1
- pl

* Thu Aug 23 2007 Elan Ruusamäe <glen@pld-linux.org> bf4751a
- fix line endings of readme.txt

* Thu Aug 23 2007 Elan Ruusamäe <glen@pld-linux.org> dfca1f2
- new

